Qyra
ReferenceCatalog

Update metrics tree

Update a saved metrics tree including nodes and edges

PATCH/api/v1/projects/{projectUuid}/dataCatalog/metrics/trees/{metricsTreeUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
metricsTreeUuidstringYes

Request body

{
  "edges": [
    {
      "targetCatalogSearchUuid": "string",
      "sourceCatalogSearchUuid": "string"
    }
  ],
  "nodes": [
    {
      "yPosition": 0,
      "xPosition": 0,
      "catalogSearchUuid": "string"
    }
  ],
  "expectedGeneration": 0,
  "description": "string",
  "name": "string"
}

Responses

200 — Success

{
  "results": {
    "generation": 0,
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedByUserUuid": "string",
    "createdByUserUuid": "string",
    "source": "ui",
    "description": "string",
    "name": "string",
    "slug": "string",
    "projectUuid": "string",
    "metricsTreeUuid": "string",
    "lock": {
      "acquiredAt": "2024-01-01T00:00:00.000Z",
      "lockedByUserName": "string",
      "lockedByUserUuid": "string"
    },
    "edges": [
      {
        "createdFrom": "ui",
        "projectUuid": "string",
        "createdByUserUuid": "string",
        "createdAt": "2024-01-01T00:00:00.000Z",
        "target": {
          "name": "string",
          "tableName": "string",
          "label": "string",
          "catalogSearchUuid": "string"
        },
        "source": {
          "name": "string",
          "tableName": "string",
          "label": "string",
          "catalogSearchUuid": "string"
        }
      }
    ],
    "nodes": [
      {
        "yPosition": 0,
        "xPosition": 0,
        "catalogSearchUuid": "string",
        "source": "ui",
        "tableName": "string",
        "label": "string",
        "name": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}